#include "main.h"
//------------------------------------------------
static const char *TAG = "main";
//------------------------------------------------
void app_main(void)
{
  volatile long cnt;
  esp_err_t ret;
  // Configure SPI bus
  spi_bus_config_t cfg = {
      .mosi_io_num = CONFIG_PIN_NUM_MOSI,
      .miso_io_num = -1,
      .sclk_io_num = CONFIG_PIN_NUM_CLK,
      .quadwp_io_num = -1,
      .quadhd_io_num = -1,
      .max_transfer_sz = 0,
      .flags = 0
  };
  ret = spi_bus_initialize(HSPI_HOST, &cfg, 1);
  ESP_LOGI(TAG, "spi bus initialize: %d", ret);
  max7219_t dev;
  Init_7219(&dev, HSPI_HOST, CONFIG_PIN_NUM_CS);
  Number_7219(&dev, 12345678);
  vTaskDelay(2000 / portTICK_PERIOD_MS);
  while (1) {
    Clear_7219(&dev);
    Number_7219(&dev, cnt);
    cnt++;
    if(cnt>99999999) cnt = 0;
    vTaskDelay(100 / portTICK_PERIOD_MS);
  }
}
//------------------------------------------------
