#ifndef MAIN_LCD2004_H_
#define MAIN_LCD2004_H_
//==================================================
#include <string.h>
#include <stdio.h>
#include <stdint.h>
#include <driver/gpio.h>
#include <driver/spi_master.h>
//==================================================
typedef struct
{
    spi_device_interface_config_t spi_cfg;
    spi_device_handle_t spi_dev;
} max7219_t;
//==================================================
void Init_7219 (max7219_t *dev, spi_host_device_t host, gpio_num_t cs_pin);
void Clear_7219 (max7219_t *dev);
void Number_7219 (max7219_t *dev, volatile long n);
//==================================================
#endif /* MAIN_LCD2004_H_ */
